{ config, lib, pkgs, ...}: let
  inherit (lib) mkIf;
  hasNeovim = config.programs.neovim.enable;
in {
  programs.bash = {
    enable = true;
    shellAliases = {
      ll = "ls -lisah --color=auto";
      ".." = "cd ..";
      vim = mkIf hasNeovim "nvim";
      vi = mkIf hasNeovim "nvim";
    };
  };
}
